API referenceDomains
Detect provider / setup type for a domain (read-only)
Authorization
apiKey AuthorizationBearer <token>
API key: sk_test_… / sk_live_… (hashed at rest, scoped)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/domains:check" \ -H "Content-Type: application/json" \ -d '{ "domain": "string" }'{ "domain": "string", "registered": true, "provider": "string", "setup_type": "automatic", "apex_flattening": true, "provider_slug": "string", "nameserver": "string", "apex": true, "auto_configurable": true, "www_redirect_recommended": true, "capabilities": { "cname_flattening": true, "wildcard": true, "caa": true, "multi_txt": true, "ns_delegation": true }, "record_conflicts": [ { "host": "string", "type": "A", "value": "string", "ttl": 300, "priority": 0 } ]}{ "error": { "code": "string", "message": "string", "details": null }}